target remote :3333

# print demangled symbols
set print asm-demangle on

# set backtrace limit to not have infinite backtrace loops
set backtrace limit 32

# detect unhandled exceptions, hard faults and panics
break DefaultHandler
break HardFault
break rust_begin_unwind

# break at line 130 to auto quit
break examples/fpga_config.rs:140

# print using semihosting, slow af
# monitor arm semihosting enable
monitor tpiu config internal itm.fifo uart off 400000000
monitor itm port 0 on

# flash the program to bank 0
load

# flash the bitstream to bank 1
mon flash write_bank 1 build/top.bin 0

# just run immediately
continue

# auto quit when hanged
detach
quit
